'use strict';
define(function() {
  var gcelement = function(gclayers, gcStyleFactory) {
    return {
      templateUrl: 'js/XG/widgets/utilities/form/views/formfield.html',
      restrict: 'A',
      scope: {
        map: '=map',
        fti: '=fti',
        required: '=required',
        attname: '=attname',
        res: '=res',
        activelabel: '=activelabel',
      },
      link: function(scope, element, attrs, ctrl) {},
    };
  };

  gcelement.$inject = ['gclayers', 'gcStyleFactory'];
  return gcelement;
});
